﻿/*!
 * Jumbula Global Style on Student Area
 * Copyright © 2015 - Author: Saeed Seyfi (saeedseyfi.com) and SaJad Jafari (sajadjafari.com) at Jumbula
 */


/* Student Content Global Styles */

.dis-table {
    display: table;
    width: 100%;
}

.dis-row {
    display: table-row;
}

.dis-cell {
    display: table-cell;
    vertical-align: middle;
}

/*ENDS*/

label.req:after {
    color: #f05457;
    content: " *";
}

/*#region Header */

#mainHeader > .navbar {
    background-color: #E7830D;
    background-color: rgba(231, 131, 13, 0.9);
}

#mainHeader .navbar-brand {
    height: 68px;
    line-height: 68px;
    padding: 0px;
}

    #mainHeader .navbar-brand #jbLogo {
        vertical-align: middle;
        font-size: 0;
    }

        #mainHeader .navbar-brand #jbLogo img {
            vertical-align: middle;
            margin-left: 3px;
            width: 110px;
        }

        #mainHeader .navbar-brand #jbLogo #logo {
            border-radius: 5px;
            width: 40px;
            height: 40px;
            margin-left: 10px;
        }

#mainHeader .navbar-nav > li a {
    font-family: "raleway";
    font-size: 1.2em;
}

#mainHeader .navbar-nav > li.cart a {
    font-size: 30px;
    padding: 10px;
    line-height: 41px;
    width: 65px;
    text-align: center;
    margin: 0 auto;
}

#mainHeader .navbar-nav > li.cart i {
    vertical-align: middle;
}

#mainHeader .navbar-nav > li.sign-in > a:before {
    position: relative;
    top: 2px;
    margin-right: 10px;
}

.help {
    display: inline-block;
    width: 14px;
    height: 14px;
    cursor: pointer;
    background: url('/images/ico/info.png') no-repeat scroll center bottom #000000;
    background: url('/images/ico/info.png') no-repeat scroll center bottom rgba(0, 0, 0, 0);
    vertical-align: 0;
    margin-left: 10px;
}

    .help.info {
        background: url('/images/ico/info2.png') no-repeat scroll center bottom #000000;
        background: url('/images/ico/info2.png') no-repeat scroll center bottom rgba(0, 0, 0, 0);
    }

@media (min-width: 1200px) {
    #mainHeader .navbar-nav > li a {
        line-height: 36px;
    }

    #shareModal .modal-dialog {
        width: 950px;
    }

    /*#region Account item in navigation menu */

    /*#mainHeader .navbar-nav > li.account #avatar {
    height: 45px;
    width: 45px;
    border-radius: 50%;
    vertical-align: middle;
}*/

    #mainHeader .navbar-nav > li.account > a {
        background: #DDDDDD;
        background: rgba(0,0,0,0.03);
        max-width: 200px;
        padding-right: 55px;
        white-space: nowrap;
        position: relative;
    }

    #mainHeader .navbar-nav > li.account > .dropdown-menu {
        -moz-min-width: 200px;
        -ms-min-width: 200px;
        -o-min-width: 200px;
        -webkit-min-width: 200px;
        min-width: 200px;
        padding: 0;
    }

        #mainHeader .navbar-nav > li.account > .dropdown-menu .divider {
            margin: 0;
        }

        #mainHeader .navbar-nav > li.account > .dropdown-menu .sign-out > a {
            color: #f05457;
        }

    #mainHeader .navbar-nav > li.account > a:after {
        position: absolute;
        top: 0;
        right: 0;
        bottom: 1px;
        width: 65px;
        content: "";
        background: -moz-linear-gradient(left, rgba(222,136,32,0) 0, rgba(222,136,32,1) 54%, rgba(222,136,32,1) 100%);
        background: -webkit-gradient(linear, left top, right top, color-stop(0,rgba(222,136,32,0)), color-stop(54%,rgba(222,136,32,1)), color-stop(100%,rgba(222,136,32,1)));
        background: -webkit-linear-gradient(left, rgba(222,136,32,0) 0,rgba(222,136,32,1) 54%,rgba(222,136,32,1) 100%);
        background: -o-linear-gradient(left, rgba(222,136,32,0) 0,rgba(222,136,32,1) 54%,rgba(222,136,32,1) 100%);
        background: -ms-linear-gradient(left, rgba(222,136,32,0) 0,rgba(222,136,32,1) 54%,rgba(222,136,32,1) 100%);
        background: linear-gradient(to right, rgba(222,136,32,0) 0,rgba(222,136,32,1) 54%,rgba(222,136,32,1) 100%);
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00de8820', endColorstr='#de8820',GradientType=1 );
    }

    #mainHeader .navbar-nav > li.account > a .caret {
        position: absolute;
        right: 15px;
        bottom: 29px;
        z-index: 1;
    }
    /*#endregion */

}

#mainHeader .navbar-nav > li.account > .dropdown-menu .sign-out > a:before {
    position: relative;
    top: 2px;
    margin-right: 10px;
}

@media (max-width:1356px) {
    #mainHeader .caret, #mainHeader .caret:active, #mainHeader .caret:focus {
        border-top: 4px solid #fff;
    }
    #mainHeader > .navbar {
        height: 51px !important;
    }

    #mainHeader .navbar-brand {
        line-height: 50px;
        height: 50px;
        max-width: 82%;
        width: 82%;
    }

        #mainHeader .navbar-brand > #clubName {
            white-space: nowrap;
            max-width: 82%;
            display: inline-block;
            width: auto;
            overflow: hidden;
            text-overflow: ellipsis;
        }

        #mainHeader .navbar-brand #jbLogo img {
            height: 21px;
        }

        #mainHeader .navbar-brand #jbLogo #logo {
            height: 47px;
        }


    #mainHeader .navbar-default .navbar-nav > .active > a,
    #mainHeader .navbar-default .navbar-nav > .active > a:hover,
    #mainHeader .navbar-default .navbar-nav > .active > a:focus {
        border-color: transparent;
    }

    #mainHeader .navbar-default .navbar-nav .open .dropdown-menu > li > a {
        color: #ffffff;
    }

    #mainHeader .navbar-default .navbar-collapse {
        background-color: rgba(39,39,39,0.9) !important;
        box-shadow: 0 2px 10px 0px #000;
        margin-top: 5px;
    }

    #mainHeader .navbar-nav > li {
        width: 200px;
        margin: 0 auto;
    }

        #mainHeader .navbar-nav > li a {
            border: 0px;
        }

    .nav.navbar-nav.navbar-right li.active a {
        border-top: none !important;
        border-bottom: 2px solid #fff !important;
        padding-bottom: 0 !important;
        padding-bottom: 10px !important;
    }

    #mainHeader .navbar-nav > li.open-free-trial {
        padding-top: 3px;
    }

    .navbar-fixed-top .navbar-collapse, .navbar-fixed-bottom .navbar-collapse {
        max-height: 400px !important;
    }
}

@media(max-width:768px) {
    #mainHeader .navbar-brand {
        max-width: 76%;
    }

        #mainHeader .navbar-brand > #clubName {
            font-size: 18px !important;
            padding: 0 !important;
            white-space: nowrap;
        }
}

@media(max-width:480px) {
    #mainHeader .navbar-brand > #clubName {
        font-size: 16px !important;
        padding: 0 !important;
        max-width: 78%;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }
}
/*#endregion */

/***************************** Home page builder, Orders and user cart top menu *****************************/
.view-main-header #JbPage .tab-text {
    padding: 10px 15px;
}

#mainHeader .navbar-brand > #clubName {
    font-size: 20px;
}

#mainHeader .navbar-nav > li a {
    font-size: 14px;
}

#mainHeader .navbar-nav > li.add-new > a {
    font-weight: 200;
    border: 2px solid #ccc;
    padding-left: 15px !important;
    padding-right: 15px !important;
    margin: 2px;
    font-size: 14px !important;
    border-radius: 5px;
}

#mainHeader .navbar-default .navbar-nav > li.dndDraggingSource {
    display: none;
}

#mainHeader .navbar-default .navbar-nav > li.dndPlaceholder {
    width: 120px;
    height: 65px;
}

#mainHeader > .navbar {
    margin: 0;
}


.view-main-header .view-mode-nav {
    padding-right: 0 !important;
    padding-left: 0 !important;
    display: inline-block;
    float: right;
}

    .view-main-header .view-mode-nav .navbar-right {
        margin: 22px 0 !important;
        float: left !important;
    }

.view-main-header .account-menu {
    /*padding: 8.5px 8px;*/
    background-color: transparent;
    margin: 10px !important;
    text-align: center;
}

    .view-main-header .account-menu > div > ul {
        list-style: none;
        padding: 0;
        margin: 0;
    }

        .view-main-header .account-menu > div > ul > li {
            display: inline-block;
            margin: 0;
            padding: 5px 15px;
            vertical-align: middle;
        }

            .view-main-header .account-menu > div > ul > li > a {
                color: #366b9e; /*#e7830d;*/
                font-size: 15px;
            }

    .view-main-header .account-menu .sign-out > a > i {
        vertical-align: middle;
        margin-right: 5px;
    }

.view-main-header .navbar-brand {
    margin-left: 0 !important;
}


.design-main-header .design-page-menu > button {
    padding: 10px 15px;
    outline: none;
    border: none;
}

.design-main-header .design-page-menu {
    margin: 12px 0;
}

@media (min-width: 1200px) {
    .design-main-header .navbar-brand {
        margin-left: 30px !important;
    }
}

@media (max-width: 1356px) {
    #mainHeader .navbar-default .navbar-collapse {
        position: relative;
        z-index: 1;
    }

    .view-main-header .account-menu > div > ul > li > a {
        color: #fff; /*#e7830d;*/
    }

    .view-main-header .account-menu > a,
    .view-main-header .view-mode-nav {
        text-align: center;
    }

        .view-main-header .view-mode-nav > ul,
        .view-main-header .view-mode-nav {
            border-top: 1px solid #e7830d;
            display: table;
            margin: 0 auto !important;
        }

            .view-main-header .view-mode-nav > ul > li {
                margin: 10px 0 !important;
            }

            .view-main-header .view-mode-nav .navbar-right {
                display: inline-block;
                margin: 10px 0;
            }

                .view-main-header .view-mode-nav .navbar-right > .tab-text {
                    display: block;
                }
}

@media (max-width: 768px) {
    .view-main-header .view-mode-nav .navbar-right {
        display: block;
        width: 100%;
        text-align: center;
        margin: 0 !important;
    }
}
/* * * * * * * * */



/*# Home, solution, ... pages Top Menu  */

/***********************Portfolio Back Menu***********************/


#portfolioBackmenu {
    width: 100%;
    height: 100%;
    background-color: #0a0a0a;
    background-color: rgba(10,10,10,.7);
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1031;
    overflow: hidden;
    display: none;
}

#backMenu {
    width: 500px;
    float: right;
    -webkit-transform: translate3d(100%,0,0);
    -moz-transform: translate3d(100%,0,0);
    -ms-transform: translate3d(100%,0,0);
    -o-transform: translate3d(100%,0,0);
    transform: translate3d(100%,0,0);
    z-index: 1032;
    position: absolute;
    top: 0;
    right: 0;
    display: none;
}

    #backMenu.transform-open {
        -webkit-transform: translate3d(0, 0, 0) !important;
        -moz-transform: translate3d(0, 0, 0) !important;
        -ms-transform: translate3d(0, 0, 0) !important;
        -o-transform: translate3d(0, 0, 0) !important;
        transform: translate3d(0, 0, 0) !important;
        -webkit-transition: all .8s;
        -moz-transition: all .8s;
        -ms-transition: all .8s;
        -o-transition: all .8s;
        transition: all .8s;
    }

    #backMenu.transform-close {
        -webkit-transition: all .8s;
        -moz-transition: all .8s;
        -ms-transition: all .8s;
        -o-transition: all .8s;
        transition: all .8s;
    }

    #backMenu .cell-height {
        padding: 0px !important;
    }

    #backMenu > a {
        display: block;
    }

    #backMenu .close-back-menu {
        width: 67px;
        height: 67px;
        background-color: #fff;
        position: absolute;
        top: 0;
        left: -67px;
        padding: 23px 21px;
        font-size: 20px;
        text-align: center;
    }

        #backMenu .close-back-menu:hover {
            cursor: pointer;
        }

        #backMenu .close-back-menu.jbi-remove {
            font-size: 30px;
            color: #161616;
        }

    #backMenu .img-content.same-height,
    #backMenu .text-canton.same-height {
        height: 140px;
    }

    #backMenu .img-content,
    #backMenu .text-canton {
        width: 100%;
        background-color: #fff;
        position: relative;
    }

    #backMenu .text-canton {
        border-bottom: 1px solid #d7d7d7;
    }

    #backMenu .text-content {
        font-size: 13px;
        line-height: 1.3;
        text-transform: uppercase;
        color: #3a3a39;
        font-family: "Segoe UI",Helvetica,Arial,sans-serif;
        font-weight: 400;
        padding: 15px;
        font-weight: 500;
        position: absolute;
        letter-spacing: .6px;
        top: 50%;
        -webkit-transform: translateY(-50%);
        -moz-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
        -o-transform: translateY(-50%);
        transform: translateY(-50%);
    }

        #backMenu .text-content .items-subtitle {
            font-size: 13px;
            line-height: 1.3;
            text-transform: none;
            font-weight: 300;
            padding-top: 10px;
            display: block;
            letter-spacing: 0px;
            font-family: Raleway;
            letter-spacing: .8px;
        }


    #backMenu a .img-content {
        float: left;
        overflow: hidden;
    }

        #backMenu a .img-content > span {
            width: 100%;
            height: 100%;
            background-color: #000000;
            background-color: rgba(0,0,0,.2);
            display: block;
        }

    #backMenu a .img-content {
        background-position: center center;
        background-size: cover;
    }

        #backMenu a .img-content.img-one {
            background-image: url(/Images/Markets/MarketsMenu/markets-menu-image-chess.jpg);
        }

        #backMenu a .img-content.img-two {
            background-image: url(/Images/Markets/MarketsMenu/markets-menu-image-schools.jpg);
        }

        #backMenu a .img-content.img-three {
            background-image: url(/Images/Markets/MarketsMenu/markets-menu-image-vendors.jpg);
        }

        #backMenu a .img-content.img-four {
            background-image: url(/Images/Markets/MarketsMenu/markets-menu-image-arts.jpg);
        }

        #backMenu a .img-content.img-five {
            background-image: url(/Images/Markets/MarketsMenu/markets-menu-image-clubs.jpg);
        }

        #backMenu a .img-content.img-six {
            background-image: url(/Images/Markets/MarketsMenu/markets-menu-image-webdesign.jpg);
        }

        #backMenu a .img-content.img-seven {
            background-image: url(/Images/Markets/MarketsMenu/markets-menu-image-EnterpriseSolution.jpg);
        }

    #backMenu a:hover .text-content .light-hover {
        background-color: #ffffff !important;
        background-color: rgba(255, 255, 255, 0.2) !important;
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        -webkit-transition: all .4s;
        -moz-transition: all .4s;
        -ms-transition: all .4s;
        -o-transition: all .4s;
        transition: all .4s;
    }

    #backMenu a:hover .img-content > span {
        background-color: #000000;
        background-color: rgba(0,0,0,.1);
        -webkit-transition: all .4s;
        -moz-transition: all .4s;
        -ms-transition: all .4s;
        -o-transition: all .4s;
        transition: all .4s;
    }


/* * * * * * * * * * * * * * * * <Table Responsive> * * * * * */

@media only screen and (max-width: 450px) {
    table.responsive-table td {
        font-size: 10px !important;
    }
}

@media only screen and (max-width: 991px) {
    table.responsive-table {
        width: 100%;
        border-collapse: collapse;
    }

        table.responsive-table tr:nth-of-type(odd) {
            background: #eee;
        }

        table.responsive-table th {
            background: #333;
            color: white;
            font-weight: bold;
        }

        table.responsive-table td, table.responsive-table th {
            padding: 6px;
            border: 1px solid #ccc;
            text-align: left;
        }


        table.responsive-table,
        table.responsive-table thead,
        table.responsive-table tbody,
        table.responsive-table th,
        table.responsive-table td,
        table.responsive-table tr {
            display: block;
        }

            table.responsive-table thead tr {
                position: absolute;
                top: -9999px;
                left: -9999px;
            }

            table.responsive-table tr {
                border: 1px solid #ccc;
                padding: 10px;
            }

            table.responsive-table td {
                border: none;
                border-bottom: 1px solid #eee;
                position: relative;
                padding-left: 50% !important;
                min-height: 35px;
                font-size: 12px;
            }

                table.responsive-table td:before {
                    position: absolute;
                    top: 6px;
                    left: 6px;
                    width: 45%;
                    padding-right: 10px;
                    white-space: nowrap;
                    font-weight: bold;
                }

            table.responsive-table tr td:first-child {
                border-top: none;
            }

            table.responsive-table tr td:last-child {
                border-bottom: none;
            }

            table.responsive-table td.reg > a {
                float: none !important;
                font-size: 8px !important;
            }

            table.responsive-table td.name:before {
                content: "Program:";
            }

            table.responsive-table td.restrictions:before {
                content: "Restrictions:";
            }

            table.responsive-table td.location:before {
                content: "Location:";
            }

            table.responsive-table td.start-end-dates:before {
                content: "Dates:";
            }

            table.responsive-table td.registration-period:before {
                content: "Registration Dates:";
            }

            table.responsive-table td.tuitions-prices:before {
                content: "Tuitions/Prices:";
            }

            table.responsive-table td.days-times:before {
                content: "Days/Times:";
            }

            table.responsive-table td.additional-notes:before {
                content: "Additional Notes:";
            }
}

.shop-cart {
    display: inline-block;
    position: relative;
    text-align: center !important;
    padding: 5px;
}

#jbi-cart {
    font-size: 21px;
    line-height: normal;
}

.shop-number {
    color: #366b9e;
    background-color: #fff;
    display: inline-block;
    padding: 3px 1px 2px;
    border-radius: 50%;
    font-size: 10px;
    font-weight: bold;
    height: 14px;
    width: 14px;
    line-height: 9px;
    text-align: center !important;
    position: absolute;
    top: 2px;
    left: 10.5px;
}

.view-main-header .account-menu > div > ul > li.active > a {
    color: #fff !important;
    background-color: #366b9e !important;
    padding: 5px;
}
/* * * </Table Responsive> * * */




